# ACE_Registry::Binding_Iterator Class Reference

An iterator. More...

`#include <Registry.h>`

Collaboration diagram for ACE_Registry::Binding_Iterator:

[legend]
List of all members.

## Public Member Functions

| Binding_Iterator (void)
| Default constructor.
int | next_one (Binding &binding)
| Next entry.
int | next_n (u_long how_many, Binding_List &list)
| Next <how_many> entries.
int | destroy (void)
| Cleanup.
void | reset (void)
| Reset the internal state of the iterator.
Naming_Context & | naming_context (void)
| Get naming_context that the iterator is iterating over.

## Private Member Functions

void | naming_context (Naming_Context &naming_context)
| Set naming_context that the iterator is iterating over.
void | current_enumeration (Iteration_State &current_enumeration)
| Set current_enumeration.
Iteration_State & | current_enumeration (void)
| Get current_enumeration.

## Private Attributes

Naming_Context * | naming_context_
| Reference to context.
Object_Iteration | object_iteration_
| Instances of all states.
Context_Iteration | context_iteration_
Iteration_Complete | iteration_complete_
Iteration_State * | current_enumeration_
| Pointer to current state.

## Friends

class | Naming_Context
| Friend factory.
class | Iteration_State
| Friend states.
class | Object_Iteration
class | Context_Iteration
class | Iteration_Complete

## Detailed Description

An iterator.

Useful when iteratorating over a few entries at a time

## Constructor & Destructor Documentation

ACE_Registry::Binding_Iterator::Binding_Iterator | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

ACE_Registry::Binding_Iterator::Iteration_State & ACE_Registry::Binding_Iterator::current_enumeration | ( | void |  | ) | `[private]`

| Get current_enumeration.

void ACE_Registry::Binding_Iterator::current_enumeration | ( | Iteration_State & | current_enumeration | ) | `[private]`

| Set current_enumeration.

int ACE_Registry::Binding_Iterator::destroy | ( | void |  | ) |

| Cleanup.

void ACE_Registry::Binding_Iterator::naming_context | ( | Naming_Context & | naming_context | ) | `[private]`

| Set naming_context that the iterator is iterating over.

ACE_Registry::Naming_Context & ACE_Registry::Binding_Iterator::naming_context | ( | void |  | ) |

| Get naming_context that the iterator is iterating over.

int ACE_Registry::Binding_Iterator::next_n | ( | u_long | how_many,
|  | Binding_List & | list
| ) |

| Next <how_many> entries.

int ACE_Registry::Binding_Iterator::next_one | ( | Binding & | binding | ) |

| Next entry.

void ACE_Registry::Binding_Iterator::reset | ( | void |  | ) |

| Reset the internal state of the iterator.

## Friends And Related Function Documentation

friend class Context_Iteration`[friend]`

friend class Iteration_Complete`[friend]`

friend class Iteration_State`[friend]`

| Friend states.

friend class Naming_Context`[friend]`

| Friend factory.

friend class Object_Iteration`[friend]`

## Member Data Documentation

Context_Iteration ACE_Registry::Binding_Iterator::context_iteration_`[private]`

Iteration_State* ACE_Registry::Binding_Iterator::current_enumeration_`[private]`

| Pointer to current state.

Iteration_Complete ACE_Registry::Binding_Iterator::iteration_complete_`[private]`

Naming_Context* ACE_Registry::Binding_Iterator::naming_context_`[private]`

| Reference to context.

Object_Iteration ACE_Registry::Binding_Iterator::object_iteration_`[private]`

| Instances of all states.

The documentation for this class was generated from the following files:

- Registry.h
- Registry.cpp